IO (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.io

## Interface IO

-     public interface IO

  This is a central repository for constants used in various IO classes. Using them saves repeated redefinitions and/or clashes.
  Version:
    Last modified on Wed Jun 20 13:56:22 2012 by hak
  Author:
    Hassan Aït-Kaci
  Copyright:
    © by the author

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `BIP` Beep
    `static char` | `BQT` Back quote
    `static char` | `BSL` Backslash
    `static char` | `BSP` Backspace
    `static char` | `CRT` Carriage return
    `static char` | `DQT` Double quote
    `static int` | `EOF` End of file
    `static int` | `EOI` End of input
    `static char` | `EOL` End of line
    `static char` | `FFD` Form feed
    `static int` | `NTG` Nothing
    `static int` | `NUM` Number
    `static int` | `SOI` Start of input
    `static char` | `SPC` Blank space
    `static int` | `SPL` Special
    `static char` | `SQT` Single quote
    `static char` | `TAB` Tab
    `static int` | `WRD` Word

- - ### Field Detail

    - #### EOF

          static final int EOF

      End of file
      See Also:
        Constant Field Values

    - #### EOI

          static final int EOI

      End of input
      See Also:
        Constant Field Values

    - #### SOI

          static final int SOI

      Start of input
      See Also:
        Constant Field Values

    - #### WRD

          static final int WRD

      Word
      See Also:
        Constant Field Values

    - #### NUM

          static final int NUM

      Number
      See Also:
        Constant Field Values

    - #### NTG

          static final int NTG

      Nothing
      See Also:
        Constant Field Values

    - #### SPL

          static final int SPL

      Special
      See Also:
        Constant Field Values

    - #### SPC

          static final char SPC

      Blank space
      See Also:
        Constant Field Values

    - #### EOL

          static final char EOL

      End of line
      See Also:
        Constant Field Values

    - #### TAB

          static final char TAB

      Tab
      See Also:
        Constant Field Values

    - #### CRT

          static final char CRT

      Carriage return
      See Also:
        Constant Field Values

    - #### BSP

          static final char BSP

      Backspace
      See Also:
        Constant Field Values

    - #### FFD

          static final char FFD

      Form feed
      See Also:
        Constant Field Values

    - #### BSL

          static final char BSL

      Backslash
      See Also:
        Constant Field Values

    - #### SQT

          static final char SQT

      Single quote
      See Also:
        Constant Field Values

    - #### DQT

          static final char DQT

      Double quote
      See Also:
        Constant Field Values

    - #### BQT

          static final char BQT

      Back quote
      See Also:
        Constant Field Values

    - #### BIP

          static final char BIP

      Beep
      See Also:
        Constant Field Values